Bug 995721 - Request: Comprehensive numlock configuration solution
Request: Comprehensive numlock configuration solution
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vokal
Radek Vokal
Depends On:
  Show dependency treegraph
Reported: 2013-08-10 09:39 EDT by info@kobaltwit.be
Modified: 2015-02-17 11:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 11:41:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description info@kobaltwit.be 2013-08-10 09:39:36 EDT
Description of problem:
I have noticed that with each fresh install of Fedora I have to go hunting for the right voodoo to get the numlock set by default.

I would like to request change in Fedora to makes this easier for end users.

The motivation is simple: there are people that like to use the numeric keypad for typing numbers instead of navigating. But currently there's no easy way to persistently configure this.

To be clear I'm not asking numlock on as the distribution's default. What I do ask is an easy way to reconfigure this to default on boot after installation.

The goal is one simple way (preferably gui driven) to configure the default numlock behaviour in all environments. That is:
- gdm (to easily use numbers in passwords)
- kdm (same as gdm, but for kde users)
- gnome session
- kde session
- tty consoles
- perhaps also for the other desktop environments

In my research, I did find ways to enable numlock for gdm, kdm, gnome and kde sessions, often involving manipulation of some files in /etc directly. But I didn't find how to persistently set this for tty.

- kde has an option in its preferences panel, so that's pretty easy.
- kdm can be configure via a disabled-by-default option in /etc/kde/kdm/kdmrc. There's no gui for it though.
- gdm take a little more work:
  * install numlockx
  * edit /etc/gdm/Init/Default
  * Add the following lines right before the final exit 0 command
    if [ -x /usr/bin/numlockx ]; then
      /usr/bin/numlockx on
    (source: http://forums.fedoraforum.org/showpost.php?p=1551104&postcount=13 )
- gnome has numlock enabled following the gdm step.

Note: the forum post I refer to above also has instructions to enable numlock for all tty's, but they don't seem to work on Fedora 19 on my system.
Refer to these two posts:

For an end user (and even a user with years of experience) it's just too weird you have to go through these hoops in different locations only to change the preferred state of the numlock led...
Comment 3 Fedora End Of Life 2015-01-09 14:23:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:41:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.